nova-lxd (19.0.0~b1~git2019013113.0ea07af-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 13:01:03 -0500

nova-lxd (19.0.0~b1~git2018112028.270b557-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 09:50:53 +0000

nova-lxd (18.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Sep 2018 09:19:31 -0600

nova-lxd (18.0.0~rc2-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control, d/nova-*.install: Move common files to nova-lxd-common. Only
      have python(3)-nova-lxd depend on nova-lxd-common.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 16:21:41 -0400

nova-lxd (18.0.0~rc2-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Sep 2018 11:50:21 -0400

nova-lxd (18.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Aug 2018 11:33:18 -0400

nova-lxd (18.0.0~a1~git2018081619.bc8d540-0ubuntu1) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Update BD's.
    - d/control: Add python3-nova-lxd package.
    - d/rules: Execute test suite under py3, add --with python3.
    - d/python{3}-nova-lxd.install: Specialize for python versions.
  * New upstream snapshot for OpenStack Rocky.
  * d/control: extra->optional.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Aug 2018 10:09:21 +0100

nova-lxd (17.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Mar 2018 17:25:38 +0000

nova-lxd (17.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Feb 2018 14:54:03 +0000

nova-lxd (17.0.0~b1~git20180221.16d06d1-0ubuntu1) bionic; urgency=medium

  * New upstream snapshot in preparation for release.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Feb 2018 13:42:57 +0000

nova-lxd (17.0.0~b1~git20171218.1440684-0ubuntu1) bionic; urgency=medium

  * d/control,copyright: Update upstream source location (LP: #1720533).
  * New upstream snapshot for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Dec 2017 10:50:33 +0000

nova-lxd (16.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 16:54:27 +0100

nova-lxd (16.0.0~b2~git20170825.e968708f-0ubuntu1) artful; urgency=medium

  * New upstream snapshot for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Aug 2017 09:45:21 -0400

nova-lxd (16.0.0~b2~git20170524.5223204-0ubuntu1) artful; urgency=medium

  * New upstream snapshot resolving compatibility issues with LXD >= 2.12
    (LP: #1692962).
  * d/p/*: Dropped, all upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 May 2017 09:39:57 +0100

nova-lxd (16.0.0~b1-0ubuntu2) artful; urgency=medium

  * d/p/bug1691428-pike.patch: Cherry pick fix to ensure that readonly
    flag for config-drive device is correctly passed to LXD
    (LP: #1691428).

 -- James Page <james.page@ubuntu.com>  Wed, 17 May 2017 11:07:27 +0100

nova-lxd (16.0.0~b1-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Apr 2017 10:20:25 +0100

nova-lxd (15.0.1-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * New upstream point release for OpenStack Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 05 Apr 2017 09:24:30 -0400

nova-lxd (15.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to pypi. 
  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 16:05:28 -0500

nova-lxd (15.0.0~rc1-0ubuntu2) zesty; urgency=medium

  * d/control: Fix build dependency. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 14 Feb 2017 08:10:33 -0500

nova-lxd (15.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Feb 2017 14:39:32 -0500

nova-lxd (15.0.0~dev44-0ubuntu1) zesty; urgency=medium

  * New upstream release (LP: #1648056).

 -- James Page <james.page@ubuntu.com>  Thu, 15 Dec 2016 11:30:53 +0000

nova-lxd (14.0.1-0ubuntu1) zesty; urgency=medium

  * New usptream release for Openstack Newton.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 16 Nov 2016 11:33:33 -0500

nova-lxd (14.0.0-0ubuntu1) yakkety; urgency=medium

  * Final upstream release for OpenStack Newton.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Oct 2016 18:16:56 +0100

nova-lxd (14.0.0~rc1-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Oct 2016 13:25:57 -0400

nova-lxd (14.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ Chuck Short ]
  * debian/nova-compute.conf: Update for new namespace.

  [ James Page ]
  * New upstream version.
  * d/control: Ensure minimum version of pylxd >= 2.0.3.

  [ Corey Bryant ]
  * d/:w: Remove unnecessary file named ":w".
  * d/watch: Add watch file so we can get orig tar file.
  * New upstream release for Openstack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Sep 2016 12:00:56 -0400

nova-lxd (13.0.0-0ubuntu3) xenial; urgency=medium

  * debian/patches/fix-configdrive.patch: Fix instance
    launching with configdrive. (LP: #1571699) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 18 Apr 2016 11:21:09 -0400

nova-lxd (13.0.0-0ubuntu2) xenial; urgency=medium

  * debian/patches/fix-console-log.patch: Adjust console.log
    path so it doesnt leave a file open with LVM instances.
    (LP: #1569538)
  * debian/patches/update-disk-image-format.patch: Add
    backward compatibility for liberty. (LP: # 1569535) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 12 Apr 2016 15:11:44 -0400

nova-lxd (13.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream relase, (LP: #1568095):
    - Dropped debian/patches/fix-block-detection.patch

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 08 Apr 2016 14:43:09 -0400

nova-lxd (13.0.0~b3-0ubuntu2) xenial; urgency=medium

  * debian/patches/fix-block-detection.patch: Disable
    disk quotas with LVM backend.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 08 Mar 2016 15:33:05 -0500

nova-lxd (13.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 07 Mar 2016 14:38:44 -0500

nova-lxd (13.0.0~b2-0ubuntu2) xenial; urgency=medium

  * debian/patche/fix-unit-tests.patch: Fix failing unit tests. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Feb 2016 11:25:33 -0500

nova-lxd (13.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 18 Feb 2016 10:02:10 -0500

nova-lxd (0.19.0-0ubuntu1) xenial; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Dec 2015 11:56:11 -0500

nova-lxd (0.18+git201512020918.146ccc8-0ubuntu1) xenial; urgency=medium

  [ Chuck Short ]
  * New upstream snapshot:
    - d/patches/*: Dropped no longer needed.
  * Rename package to nova-lxd inline with upstream (LP: #1516685):
    - d/control: src:nova-compute-lxd -> src:nova-lxd.
    - d/control: python-nova.lxd -> python-nova-lxd.

  [ James Page ]
  * d/nova-compute.conf: Update for switch from nclxd -> nova_lxd.
  * d/control: Add transitional package for python-nova.lxd ->
    python-nova-lxd.
  * d/control: Tidy dependencies, wrap-and-sort.
  * d/rules: Tidy.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Dec 2015 10:19:36 +0000

nova-compute-lxd (0.18-0ubuntu6) xenial; urgency=medium

  * debian/patches/fix-image-upload-v0.22.patch: Fix FTBFS.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Dec 2015 10:17:33 -0500

nova-compute-lxd (0.18-0ubuntu5) xenial; urgency=medium

  * debian/patches/fix-image-upload-v0.22.patch: Fix image uploading
    with version LXD 0.22 and above. (LP: #1521257)
  * debian/patches/fix-platform-uname.patch: Fix unit tests on 
    non-x86_64 arch (LP: #1521255)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Nov 2015 10:42:11 -0500

nova-compute-lxd (0.18-0ubuntu4) xenial; urgency=medium

  * debian/nova-compute-lxd.postinst: Add the nova user to the LXD group
    in postinstall. (LP: #1516640)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 16 Nov 2015 09:41:03 -0500

nova-compute-lxd (0.18-0ubuntu3) wily; urgency=medium

  * debian/patches/fix-container-migration.patch: Fix container resize
    and migration. (LP: #1507706)

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 18 Oct 2015 11:40:01 -0400

nova-compute-lxd (0.18-0ubuntu2) wily; urgency=medium

  * debian/patches/fix-snapshot-create.patch: Fix image creation
    when deploying from a snapshot. (LP: #1505842) 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 13 Oct 2015 18:57:35 -0400

nova-compute-lxd (0.18-0ubuntu1) wily; urgency=medium

  [ James Page ]
  * Drop all patches.
  * d/rules: Add helper for generating snapshots.
  * Enable unit test execution.

  [ Chuck Short ]
  * New upstream release. (LP: #1501975)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 01 Oct 2015 22:00:19 -0400

nova-compute-lxd (0.17-0ubuntu3) wily; urgency=medium

  * debian/patches/check-for-unix-sockets.patch: Check to see
    if we can use unix sockets before performing an action.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 Sep 2015 00:19:00 -0400

nova-compute-lxd (0.17-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Adjust build dependencies.
    - Adjust test dependencies.
  * debian/patches/adjust-image-properties.patch: Backport patch
    from upstream so that glanceclient and lxd syncs up. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Sep 2015 20:40:49 -0400

nova-compute-lxd (0.17-0ubuntu1) wily; urgency=medium

  * New upstream release. (LP: #1498110)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 21 Sep 2015 13:33:47 -0400

nova-compute-lxd (0.16-0ubuntu1) wily; urgency=medium

  * New upstream release. 
  * debian/patches/fix-container-setup.patch: Dropped no
    longer needed.
  * debian/control: Update dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 20 Aug 2015 14:33:49 -0400

nova-compute-lxd (0.5.1-0ubuntu2) vivid; urgency=medium

  * debian/patches/fix-container-setup.patch: Fix container setup
    with LXD 0.7. (LP: #1447128) 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Apr 2015 14:23:39 -0400

nova-compute-lxd (0.5.1-0ubuntu1) vivid; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Sat, 18 Apr 2015 20:52:45 -0400

nova-compute-lxd (0.5-0ubuntu2) vivid; urgency=medium

  * debian/patches/backport-fixes-from-master.patch: Backport miscalenous 
    fixes found during testing. (LP: #1439931)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Apr 2015 22:50:56 -0400

nova-compute-lxd (0.5-0ubuntu1) vivid; urgency=low

  * Initial upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 25 Mar 2015 15:09:32 -0400
